var fs = require('fs')
var path = require('path')
var home = require('user-home')
var profilePath = path.resolve(home, '.wy_profile.json')
var config = require('../.wy_profile.json')

module.exports = function (key, value) {
  if (!fs.existsSync(profilePath)) {
    config[key] = value
    fs.writeFileSync(profilePath, JSON.stringify(config, null, 2))
  } else {
    var localConfig = require(profilePath)
    localConfig[key] = value
    fs.writeFileSync(profilePath, JSON.stringify(localConfig, null, 2))
  }
}